$(window).load(function () {
    Company_Data()
    C_modex = getPar("T_mode")
});

var C_name = ""
var C_keys_list = []
var C_modex = getPar("T_mode")
function Company_Data() {
    C_keys_list = C_keys.split(",")

    let settings = {
        "url": "Company_Data",
        "method": "POST",
        "timeout": 0,
        "headers": {
            "Content-Type": "application/x-www-form-urlencoded"
        },
        "data": {
            "T_key": C_keys_list[C_keys_list.length-1]
        }
    };

    $.ajax(settings).done(function (response) {
        console.log("打印初始化数据",response);
        C_json = response.Data
        C_name = C_json.Company_name
        C_Address = C_json.Company_Address;
        C_T_coordinate = C_json.Company_coordinate;
        // console.log("C_json:",C_json)
        C_json = Company_Recursion(C_json) // 整合数据

        f_Device_Sensor()

    });

}
function f_Device_Sensor() {
    var settings = {
        // "url": "https://cold.coldbaozhida.com/api/v3/Data/Company_key_Device_Sensor_List",
        "url": "http://coldtest.coldbaozhida.com:9999/api/v3/Data/Company_key_Device_Sensor_List",
        "method": "POST",
        "timeout": 0,
        "headers": {
            "Content-Type": "application/x-www-form-urlencoded"
        },
        "data": {
            "key": C_keys_list[C_keys_list.length-1]
        }
    };

    $.ajax(settings).done(function (response) {
        console.log(response);
        C_json.Device.DeviceList = response.Data.Data
        console.log("C_json_OK:", C_json)
        f_view(); // 视图更新
        // 更新
        setTimeout(()=>{
            Company_Data()
        },30000)
    });
}

// 汇总数据
function Company_Recursion(Company_Project_r) {

    for (var C_Children_key in Company_Project_r.Children) {
        Company_Project_Br = Company_Recursion(Company_Project_r.Children[C_Children_key])

        Company_Project_r.Device.T_库房总数 += Company_Project_Br.Device.T_库房总数
        Company_Project_r.Device.T_移动总数 += Company_Project_Br.Device.T_移动总数
        Company_Project_r.Device.T_移动离线总数 += Company_Project_Br.Device.T_移动离线总数
        Company_Project_r.Device.T_移动监控总数 += Company_Project_Br.Device.T_移动监控总数

        // if (Company_Project_r.Device.DeviceList == null) Company_Project_r.Device.DeviceList = []
        // if (Company_Project_Br.Device.DeviceList != null) {
        //     // console.log(Company_Project_Br.Company_name,Company_Project_Br.Device.DeviceList)
        //     Company_Project_r.Device.DeviceList = Company_Project_r.Device.DeviceList.concat(Company_Project_Br.Device.DeviceList)
        // }

        // 报警类
        // Company_Project_r.Warning.T_今日库房总数      += Company_Project_Br.Warning.T_今日库房总数
        Company_Project_r.Warning.T_库房未处理总数 += Company_Project_Br.Warning.T_库房未处理总数
        Company_Project_r.Warning.T_库房设备报警数_今天 += Company_Project_Br.Warning.T_库房设备报警数_今天
        Company_Project_r.Warning.T_库房报警设备数_今天 += Company_Project_Br.Warning.T_库房报警设备数_今天
        // Company_Project_r.Warning.T_库房设备报警数_昨天  += Company_Project_Br.Warning.T_库房设备报警数_昨天
        // Company_Project_r.Warning.T_库房设备报警数_近7天 += Company_Project_Br.Warning.T_库房设备报警数_近7天
        // Company_Project_r.Warning.T_库房设备报警数_本月  += Company_Project_Br.Warning.T_库房设备报警数_本月
        // Company_Project_r.Warning.T_库房设备报警数_上一月 += Company_Project_Br.Warning.T_库房设备报警数_上一月


        if (Company_Project_r.Warning.T_库房报警类型统计 == null) Company_Project_r.Warning.T_库房报警类型统计 = []

        for (var C_key in Company_Project_Br.Warning.T_库房报警类型统计) {
            if (!(C_key in Company_Project_r.Warning.T_库房报警类型统计)) {
                Company_Project_r.Warning.T_库房报警类型统计[C_key] = 0
            }
            Company_Project_r.Warning.T_库房报警类型统计[C_key] += Company_Project_Br.Warning.T_库房报警类型统计[C_key]
        }

        if (Company_Project_r.Warning.T_移动报警类型统计 == null) Company_Project_r.Warning.T_移动报警类型统计 = []

        for (var C_key in Company_Project_Br.Warning.T_移动报警类型统计) {
            if (!(C_key in Company_Project_r.Warning.T_移动报警类型统计)) {
                Company_Project_r.Warning.T_移动报警类型统计[C_key] = 0
            }
            Company_Project_r.Warning.T_移动报警类型统计[C_key] += Company_Project_Br.Warning.T_移动报警类型统计[C_key]
        }

        // Company_Project_r.Warning.T_今日移动总数      += Company_Project_Br.Warning.T_今日移动总数
        Company_Project_r.Warning.T_移动未处理总数 += Company_Project_Br.Warning.T_移动未处理总数
        Company_Project_r.Warning.T_移动设备报警数_今天 += Company_Project_Br.Warning.T_移动设备报警数_今天
        Company_Project_r.Warning.T_移动报警设备数_今天 += Company_Project_Br.Warning.T_移动报警设备数_今天
        // Company_Project_r.Warning.T_移动设备报警数_昨天  += Company_Project_Br.Warning.T_移动设备报警数_昨天
        // Company_Project_r.Warning.T_移动设备报警数_近7天 += Company_Project_Br.Warning.T_移动设备报警数_近7天
        // Company_Project_r.Warning.T_移动设备报警数_本月  += Company_Project_Br.Warning.T_移动设备报警数_本月
        // Company_Project_r.Warning.T_移动设备报警数_上一月 += Company_Project_Br.Warning.T_移动设备报警数_上一月
        if (Company_Project_r.Warning.T_报警设备数_近7天 == null) Company_Project_r.Warning.T_报警设备数_近7天 = []
        for (var C_key in Company_Project_Br.Warning.T_报警设备数_近7天) {
            if (!(C_key in Company_Project_r.Warning.T_报警设备数_近7天)) {
                Company_Project_r.Warning.T_报警设备数_近7天[C_key] = 0
            }
            Company_Project_r.Warning.T_报警设备数_近7天[C_key] += Company_Project_Br.Warning.T_报警设备数_近7天[C_key]
        }

        if (Company_Project_r.Warning.T_报警设备数_近30天 == null) Company_Project_r.Warning.T_报警设备数_近30天 = []
        for (var C_key in Company_Project_Br.Warning.T_报警设备数_近30天) {
            if (!(C_key in Company_Project_r.Warning.T_报警设备数_近30天)) {
                Company_Project_r.Warning.T_报警设备数_近30天[C_key] = 0
            }
            Company_Project_r.Warning.T_报警设备数_近30天[C_key] += Company_Project_Br.Warning.T_报警设备数_近30天[C_key]
        }

        if (Company_Project_r.Warning.T_报警设备数_近90天 == null) Company_Project_r.Warning.T_报警设备数_近90天 = []
        for (var C_key in Company_Project_Br.Warning.T_报警设备数_近90天) {
            if (!(C_key in Company_Project_r.Warning.T_报警设备数_近90天)) {
                Company_Project_r.Warning.T_报警设备数_近90天[C_key] = 0
            }
            Company_Project_r.Warning.T_报警设备数_近90天[C_key] += Company_Project_Br.Warning.T_报警设备数_近90天[C_key]
        }
        // 任务类
        Company_Project_r.Task.T_任务总数_今天 += Company_Project_Br.Task.T_任务总数_今天
        // Company_Project_r.Task.T_任务总数_昨天  += Company_Project_Br.Task.T_任务总数_昨天
        // Company_Project_r.Task.T_任务总数_近7天 += Company_Project_Br.Task.T_任务总数_近7天
        // Company_Project_r.Task.T_任务总数_本月  += Company_Project_Br.Task.T_任务总数_本月
        // Company_Project_r.Task.T_任务总数_上一月 += Company_Project_Br.Task.T_任务总数_上一月

        // if (Company_Project_r.Task.T_任务总数_近一年 == null) Company_Project_r.Task.T_任务总数_近一年 = []
        // for (var C_key in Company_Project_Br.Task.T_任务总数_近一年) {
        //     if (!(C_key in Company_Project_r.Task.T_任务总数_近一年)){
        //         Company_Project_r.Task.T_任务总数_近一年[C_key] = 0
        //     }
        //     Company_Project_r.Task.T_任务总数_近一年[C_key] += Company_Project_Br.Task.T_任务总数_近一年[C_key]
        // }

        if (Company_Project_r.Task.T_任务总数_近7天 == null) Company_Project_r.Task.T_任务总数_近7天 = []
        for (var C_key in Company_Project_Br.Task.T_任务总数_近7天) {
            if (!(C_key in Company_Project_r.Task.T_任务总数_近7天)) {
                Company_Project_r.Task.T_任务总数_近7天[C_key] = 0
            }
            Company_Project_r.Task.T_任务总数_近7天[C_key] += Company_Project_Br.Task.T_任务总数_近7天[C_key]
        }

        Company_Project_r.Task.T_任务设备数_今天 += Company_Project_Br.Task.T_任务设备数_今天
        // Company_Project_r.Task.T_任务设备数_昨天  += Company_Project_Br.Task.T_任务设备数_昨天
        // Company_Project_r.Task.T_任务设备数_近7天 += Company_Project_Br.Task.T_任务设备数_近7天
        // Company_Project_r.Task.T_任务设备数_本月  += Company_Project_Br.Task.T_任务设备数_本月
        // Company_Project_r.Task.T_任务设备数_上一月 += Company_Project_Br.Task.T_任务设备数_上一月
    }

    return Company_Project_r
}